Create Price List Records

Creates *Price List Records*. **Required Fields** * currency * one of `variant_id` or `sku` **Notes** * Batch requests support up to 100 items per request. * Up to 10 concurrent batch create requests are supported with this API. Running more than the allowed concurrent requests in parallel on the **same store** will cause a `429` error, and your additional requests will fail. You are encouraged to run requests sequentially with as many records per request as possible to maximize performance. * When creating a product with variants, or multiple SKUs, don't include records for the parent product SKU.

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Products | modify | `store_v2_products` | | Products | read-only | `store_v2_products_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

price_list_idintegerRequired

The ID of the Price List requested.

Request

variant_idintegerOptional

The variant ID with which this price set is associated. Either variant_id or sku is required.

skustringOptional

The SKU code associated with this Price Record if requested and it exists.

currencystringOptionalformat: "ISO-4217"

The 3-letter currency code with which this price set is associated.

pricedoubleOptional

The list price for the variant mapped in a Price List. Overrides any existing or Catalog list price for the variant/product.

sale_pricedoubleOptional>=0

The sale price for the variant mapped in a Price List. Overrides any existing or Catalog sale price for the variant/product. If empty, the sale price will be treated as not being set on this variant.

retail_pricedoubleOptional>=0

The retail price for the variant mapped in a Price List. Overrides any existing or Catalog retail price for the variant/product. If empty, the retail price will be treated as not being set on this variant.

map_pricedoubleOptional>=0

The MAP (Minimum Advertised Price) for the variant mapped in a Price List. Overrides any existing or Catalog MAP price for the variant/product. If empty, the MAP price will be treated as not being set on this variant.

bulk_pricing_tierslist of objectsOptional

Response

Success response for batch POST of Price List Records.

dataobject
metaobject

Errors

422
Unprocessable Entity Error
429
Too Many Requests Error